1. We have added a Gift Upgrades feature that allows you to gift an account upgrade to another member, just in time for the holiday season. You can see the gift option when going to the Account Upgrades screen, or on any user profile screen.
    Dismiss Notice

Community Patch - How To Install

Discussion in 'Community Patch Project' started by Gazebo, Jun 13, 2014.

  1. vyyt

    vyyt Emperor

    Joined:
    Jan 28, 2005
    Messages:
    1,773
    Location:
    Czech Republic
    Nope, you have to click mods, activate all the VP mods and then click Next (not back). Only EUI is activated automatically as a DLC.
     
  2. BerneyBell

    BerneyBell Chieftain

    Joined:
    Oct 9, 2016
    Messages:
    1
    Gender:
    Male
    I installed the automatic mod with EUI but the mod is not showing up in the mods menu. The EUI is working but the rest just isnt on the mods screen when I checked in the mods folder they also werent in there.
     
  3. kpagcha

    kpagcha Chieftain

    Joined:
    Oct 10, 2016
    Messages:
    18
    I installed CBP with the Vox Populi installer (which supposedly also installs EUI), however the game is unplayable (EUI is not working in many levels). The non-EUI version does seem to be working. But I'd really love to try out the EUI version. Any suggestions?
     
  4. nikgame

    nikgame Chieftain

    Joined:
    Feb 13, 2012
    Messages:
    42
    I also installed it like you did and was having similar problem. The EUI just seemed flawed with long file names coming in tooltips etc. Here's how I sorted it:
    1)First ensure that you are starting the game correctly. After enabling Mods, do not click "BACK" . You have to setup game from the mod page itself.
    2) If you have other mods installed it might create problems. So ensure you have only the Vox Populi
    3) Go to C:\Users\Documents\My Games\Sid Meier's Civilization 5. Here delete the Cache folder, Logs folder and Moduserdata folder (if they are present). Go inside MODS folder and delete all the folders inside it.
    Go to C:\Program Files (x86)\Steam\SteamApps\common\Sid Meier's Civilization V\Assets\DLC . Here delete the UI_bc1 folder (if present. it will be present mostly
    if you installed the EUI version)
    4) Reinstall Vox Populi using the installer.

    These steps are given in the "Manual Installation" pdf at the 1st page of this thread.
     
    Last edited: Oct 10, 2016
  5. Dont_believe_a_word

    Dont_believe_a_word Chieftain

    Joined:
    Oct 22, 2016
    Messages:
    2
    Hi everyone, I was wondering if yall could help me figure out what I'm doing wrong when installing just the Community Patch and EUI. I'm currently trying and failing to make everything work on a fairly slow PC, so I'll use my phone to make this post. Please excuse and errors.

    My main problem is the UI completely bugging out after installing everything in what I thought was the correct way.
    http://imgur.com/DwMaNkH (sorry about the quality, trying to troubleshoot at the same time)

    I'm not exactly sure what to do and because I've just started playing civ v and even more recently started trying the community patch I feel like it's me that's doing something wrong. Thanks for the help everyone.
     
  6. ExpiredReign

    ExpiredReign Deity

    Joined:
    Jan 3, 2013
    Messages:
    2,450
    Gender:
    Male
    Location:
    Tasmania
    All you will need to do to install the full VP package is run the installer, nothing further to do. All instructions to the contrary are either old versions or for different setups. Also do not use the vanilla version of EUI, only use that which comes with the installer.

    Having said that, sadly I feel your problems are much more than that. Your screen shot seems to indicate either a graphics card failure or a graphics driver issue that will need to be dealt with first.
    You may also possibly have issues with any game overlay software that you use: Steam, AMD, MSI, and others all supply software that is loaded along with the game and can be called up with a keypress, yours may be broken.
     
  7. diego898

    diego898 Chieftain

    Joined:
    Oct 22, 2016
    Messages:
    1
    Hello,

    I am new to the civ series, and am starting with Civ V. I read an article and it mentioned in installing this mod. I am wondering whether this works on OSX through steam, and if someone starting CIV V should start by installing these mods? Has this project also been abandoned?

    EDIT:
    From what I've been reading, as far as I can tell, the major mods like enhanced user interface, and community patch (this one?) and community balance patch, all don't work with my mac version of civ running through steam. Is this correct?
     
    Last edited: Oct 22, 2016
  8. Chrisy15

    Chrisy15 Flower, Beautiful

    Joined:
    Jul 9, 2015
    Messages:
    2,072
    The Community Patch will not work on Mac, because it uses a Windows-specific system that can't even be emulated. Don't know about EUI however. Also ftr the Community Patch and the Community Balance Patch are both here - the Community Patch (CP) being the core bugfix and the Community Balance Patch (CBP or CBO) has the game-changing overhaul.

    If you really are new to the game, you might wanna just play vanilla for a bit in order to get an understanding of how the game works tbh. You can always move onto overhaul mods like this or the JFDDLC later.
     
  9. Dont_believe_a_word

    Dont_believe_a_word Chieftain

    Joined:
    Oct 22, 2016
    Messages:
    2
    If I don't want whole vp pack, just the Core community patch, how would you recommend I get the EUI? I was able to get just the Core stuff working by playing around and following your advice, but it doesn't come with EUI, which is a tad bit disappointing.

    Assuming this is true, I think I'll be out of luck. Broke student that's just using a poor computer with a $50 graphics card. If all else fails, I still run the base game fine.

    Thanks so much for the help. Considering how illiterate I am when it comes to computers, I'm grateful to have some help.

    Edit: Well I suppose I feel very stupid. Turns out I can just get the whole pack and disable everything but the core. Whelp. Oh well. Thanks for the help anyway!
     
    Last edited: Oct 23, 2016
  10. lorddonk

    lorddonk Chieftain

    Joined:
    Oct 21, 2016
    Messages:
    2
    Gender:
    Male
    Do you really have to have all of the DLC to use this patch? I have Brave New World and Gods and Kings but I didn't buy all the civilizations as there are so many nice ones (freely) available on the workshop and I never play scenarios. Does this patch really require all the DLC?
     
  11. Chrisy15

    Chrisy15 Flower, Beautiful

    Joined:
    Jul 9, 2015
    Messages:
    2,072
    Yes because it makes use of API changes included in those civ DLCs. You'll also require WotAW - in fact, you need all bar the map packs, just to be safe.
     
    lorddonk likes this.
  12. Anomaly

    Anomaly Chieftain

    Joined:
    Jan 12, 2006
    Messages:
    36
    Hi guys,

    I think there is actually some small problem with the automatic installer. I used it to install CBP and the mod works fine for the most part, but there are UI issues, such as missing texts, and I'm not getting the unhappiness tooltips when hovering over a city name (neither on the city screen or on the main map). It's not a mod conflict because I've never used Civ V with any other mods.
    I searched the forums and found another guy with exactly the same problem. (User "Barak" on this thread: http://forums.civfanatics.com/threads/guide-introduction-to-happiness-in-vox-populi.565658/ )
    Searching into his later posts to see if he found a solution, that user mentions that he has had nothing but trouble with the automatic installer and has switched to manual installation, after which he seems to have solved his UI issues.

    I will now try the manual installation myself.
    You should probably check on that.
     
  13. Gazebo

    Gazebo Lord of the Community Patch Supporter

    Joined:
    Sep 26, 2010
    Messages:
    17,688
    Gender:
    Male
    Location:
    Little Rock
    Going to assume you either have an abnormal install, or you moved your copy of civ w/o changing the registry, or you installed a non-steam copy of Civ (i.e. pirated copy). A standard install of civ will work correctly every time.

    G
     
  14. vyyt

    vyyt Emperor

    Joined:
    Jan 28, 2005
    Messages:
    1,773
    Location:
    Czech Republic
    Or maybe if he is using the Eui version, the Eui could be landing in the wrong place, in case his Steam install is in a different drive than C:? Is it possible?
     
  15. Anomaly

    Anomaly Chieftain

    Joined:
    Jan 12, 2006
    Messages:
    36
    I have the Steam version and didn't do any strange things with it, but all my Steam games are located on a separate E: drive.
    I did not install EUI myself, though I'm always reading that the automatic installer installs it by itself, so I guess its active? When loading mods I can not select the last option "(6a) Compatibility Files EUI" because "its missing required dependencies". Not sure if that's correct or perhaps a hint at what is going wrong.
     
  16. Gazebo

    Gazebo Lord of the Community Patch Supporter

    Joined:
    Sep 26, 2010
    Messages:
    17,688
    Gender:
    Male
    Location:
    Little Rock
    If you can't enable that, that's why you are getting errors. Check your steam install, clear cache, verify integrity, and drop mods into and out of mods folder while civ is open. Should fix it.
     
  17. Anomaly

    Anomaly Chieftain

    Joined:
    Jan 12, 2006
    Messages:
    36
    Oh, yes indeed. Looking into the mods folder I saw that the following mods:

    (2) Community Balance Overhaul
    (6a) Community Balance Overhaul - Compatibility Files (EUI)

    contained duplicate directories, probably from an old version of CBP, where instead of "Overhaul" the word "Patch" was used. So either the installer didn't correctly remove the old version first, or I missed the instructions telling me that I need to remove the old version before installing a newer one.
    Now the interface is working correctly. Thanks. Didn't expect to find a solution so quickly. =)
    And for the first time I see that practically all of my cities are dangerous! :-O

    I wonder if its still viable continuing my savegame or if things will be messed up now.
     
  18. Gazebo

    Gazebo Lord of the Community Patch Supporter

    Joined:
    Sep 26, 2010
    Messages:
    17,688
    Gender:
    Male
    Location:
    Little Rock
    It'll probably be quite messed up.
     
  19. vyyt

    vyyt Emperor

    Joined:
    Jan 28, 2005
    Messages:
    1,773
    Location:
    Czech Republic
    You must have had some very very old version from spring(?). The autoinstaller automatically removes the "not so old" versions for you, but cannot handle the old versions with the old name.

    Gazebo, I suppose it is not possible to make the autoinstaller remove the very old versions as well, is it?
     
  20. ExpiredReign

    ExpiredReign Deity

    Joined:
    Jan 3, 2013
    Messages:
    2,450
    Gender:
    Male
    Location:
    Tasmania
    No. When we changed the name I had a look at the script for it and it wasn't possible. Anyway the number of users that this will still apply to is rapidly shrinking and very soon there won't be anymore.
     

Share This Page